/* Monitor.c generated by valac 0.44.3, the Vala compiler
 * generated from Monitor.vala, do not modify */

/*-
 * Copyright (c) 2018 elementary LLC.
 *
 * This software is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this software; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 *
 * Authored by: Corentin Noël <corentin@elementary.io>
 */

#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <glib.h>
#include <gee.h>
#include <float.h>
#include <math.h>

#define DISPLAY_TYPE_MONITOR (display_monitor_get_type ())
#define DISPLAY_MONITOR(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), DISPLAY_TYPE_MONITOR, DisplayMonitor))
#define DISPLAY_MONITOR_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), DISPLAY_TYPE_MONITOR, DisplayMonitorClass))
#define DISPLAY_IS_MONITOR(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), DISPLAY_TYPE_MONITOR))
#define DISPLAY_IS_MONITOR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), DISPLAY_TYPE_MONITOR))
#define DISPLAY_MONITOR_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), DISPLAY_TYPE_MONITOR, DisplayMonitorClass))

typedef struct _DisplayMonitor DisplayMonitor;
typedef struct _DisplayMonitorClass DisplayMonitorClass;
typedef struct _DisplayMonitorPrivate DisplayMonitorPrivate;

#define DISPLAY_TYPE_MONITOR_MODE (display_monitor_mode_get_type ())
#define DISPLAY_MONITOR_MODE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), DISPLAY_TYPE_MONITOR_MODE, DisplayMonitorMode))
#define DISPLAY_MONITOR_MODE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), DISPLAY_TYPE_MONITOR_MODE, DisplayMonitorModeClass))
#define DISPLAY_IS_MONITOR_MODE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), DISPLAY_TYPE_MONITOR_MODE))
#define DISPLAY_IS_MONITOR_MODE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), DISPLAY_TYPE_MONITOR_MODE))
#define DISPLAY_MONITOR_MODE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), DISPLAY_TYPE_MONITOR_MODE, DisplayMonitorModeClass))

typedef struct _DisplayMonitorMode DisplayMonitorMode;
typedef struct _DisplayMonitorModeClass DisplayMonitorModeClass;
enum  {
	DISPLAY_MONITOR_0_PROPERTY,
	DISPLAY_MONITOR_CONNECTOR_PROPERTY,
	DISPLAY_MONITOR_VENDOR_PROPERTY,
	DISPLAY_MONITOR_PRODUCT_PROPERTY,
	DISPLAY_MONITOR_SERIAL_PROPERTY,
	DISPLAY_MONITOR_HASH_PROPERTY,
	DISPLAY_MONITOR_DISPLAY_NAME_PROPERTY,
	DISPLAY_MONITOR_IS_BUILTIN_PROPERTY,
	DISPLAY_MONITOR_MODES_PROPERTY,
	DISPLAY_MONITOR_CURRENT_MODE_PROPERTY,
	DISPLAY_MONITOR_PREFERRED_MODE_PROPERTY,
	DISPLAY_MONITOR_NUM_PROPERTIES
};
static GParamSpec* display_monitor_properties[DISPLAY_MONITOR_NUM_PROPERTIES];
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

struct _DisplayMonitor {
	GObject parent_instance;
	DisplayMonitorPrivate * priv;
};

struct _DisplayMonitorClass {
	GObjectClass parent_class;
};

struct _DisplayMonitorPrivate {
	gchar* _connector;
	gchar* _vendor;
	gchar* _product;
	gchar* _serial;
	gchar* _display_name;
	gboolean _is_builtin;
	GeeLinkedList* _modes;
};

static gint DisplayMonitor_private_offset;
static gpointer display_monitor_parent_class = NULL;

GType display_monitor_get_type (void) G_GNUC_CONST;
GType display_monitor_mode_get_type (void) G_GNUC_CONST;
gdouble display_monitor_get_max_scale (DisplayMonitor* self);
GeeLinkedList* display_monitor_get_modes (DisplayMonitor* self);
gdouble* display_monitor_mode_get_supported_scales (DisplayMonitorMode* self,
                                                    gint* result_length1);
DisplayMonitorMode* display_monitor_get_mode_by_id (DisplayMonitor* self,
                                                    const gchar* id);
const gchar* display_monitor_mode_get_id (DisplayMonitorMode* self);
DisplayMonitor* display_monitor_new (void);
DisplayMonitor* display_monitor_construct (GType object_type);
const gchar* display_monitor_get_connector (DisplayMonitor* self);
void display_monitor_set_connector (DisplayMonitor* self,
                                    const gchar* value);
const gchar* display_monitor_get_vendor (DisplayMonitor* self);
void display_monitor_set_vendor (DisplayMonitor* self,
                                 const gchar* value);
const gchar* display_monitor_get_product (DisplayMonitor* self);
void display_monitor_set_product (DisplayMonitor* self,
                                  const gchar* value);
const gchar* display_monitor_get_serial (DisplayMonitor* self);
void display_monitor_set_serial (DisplayMonitor* self,
                                 const gchar* value);
guint display_monitor_get_hash (DisplayMonitor* self);
const gchar* display_monitor_get_display_name (DisplayMonitor* self);
void display_monitor_set_display_name (DisplayMonitor* self,
                                       const gchar* value);
gboolean display_monitor_get_is_builtin (DisplayMonitor* self);
void display_monitor_set_is_builtin (DisplayMonitor* self,
                                     gboolean value);
static void display_monitor_set_modes (DisplayMonitor* self,
                                GeeLinkedList* value);
DisplayMonitorMode* display_monitor_get_current_mode (DisplayMonitor* self);
gboolean display_monitor_mode_get_is_current (DisplayMonitorMode* self);
DisplayMonitorMode* display_monitor_get_preferred_mode (DisplayMonitor* self);
gboolean display_monitor_mode_get_is_preferred (DisplayMonitorMode* self);
static GObject * display_monitor_constructor (GType type,
                                       guint n_construct_properties,
                                       GObjectConstructParam * construct_properties);
static void display_monitor_finalize (GObject * obj);
static void _vala_display_monitor_get_property (GObject * object,
                                         guint property_id,
                                         GValue * value,
                                         GParamSpec * pspec);
static void _vala_display_monitor_set_property (GObject * object,
                                         guint property_id,
                                         const GValue * value,
                                         GParamSpec * pspec);

static inline gpointer
display_monitor_get_instance_private (DisplayMonitor* self)
{
	return G_STRUCT_MEMBER_P (self, DisplayMonitor_private_offset);
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 63 "../src/Objects/Monitor.vala"
	return self ? g_object_ref (self) : NULL;
#line 154 "Monitor.c"
}

gdouble
display_monitor_get_max_scale (DisplayMonitor* self)
{
	gdouble result = 0.0;
	gdouble max_scale = 0.0;
#line 61 "../src/Objects/Monitor.vala"
	g_return_val_if_fail (self != NULL, 0.0);
#line 62 "../src/Objects/Monitor.vala"
	max_scale = 1.0;
#line 166 "Monitor.c"
	{
		GeeLinkedList* _mode_list = NULL;
		GeeLinkedList* _tmp0_;
		GeeLinkedList* _tmp1_;
		gint _mode_size = 0;
		GeeLinkedList* _tmp2_;
		gint _tmp3_;
		gint _tmp4_;
		gint _mode_index = 0;
#line 63 "../src/Objects/Monitor.vala"
		_tmp0_ = self->priv->_modes;
#line 63 "../src/Objects/Monitor.vala"
		_tmp1_ = _g_object_ref0 (_tmp0_);
#line 63 "../src/Objects/Monitor.vala"
		_mode_list = _tmp1_;
#line 63 "../src/Objects/Monitor.vala"
		_tmp2_ = _mode_list;
#line 63 "../src/Objects/Monitor.vala"
		_tmp3_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp2_);
#line 63 "../src/Objects/Monitor.vala"
		_tmp4_ = _tmp3_;
#line 63 "../src/Objects/Monitor.vala"
		_mode_size = _tmp4_;
#line 63 "../src/Objects/Monitor.vala"
		_mode_index = -1;
#line 63 "../src/Objects/Monitor.vala"
		while (TRUE) {
#line 194 "Monitor.c"
			DisplayMonitorMode* mode = NULL;
			GeeLinkedList* _tmp5_;
			gpointer _tmp6_;
			DisplayMonitorMode* _tmp7_;
			gdouble* _tmp8_;
			gint _tmp8__length1;
			gdouble* _tmp9_;
			gint _tmp9__length1;
#line 63 "../src/Objects/Monitor.vala"
			_mode_index = _mode_index + 1;
#line 63 "../src/Objects/Monitor.vala"
			if (!(_mode_index < _mode_size)) {
#line 63 "../src/Objects/Monitor.vala"
				break;
#line 209 "Monitor.c"
			}
#line 63 "../src/Objects/Monitor.vala"
			_tmp5_ = _mode_list;
#line 63 "../src/Objects/Monitor.vala"
			_tmp6_ = gee_abstract_list_get ((GeeAbstractList*) _tmp5_, _mode_index);
#line 63 "../src/Objects/Monitor.vala"
			mode = (DisplayMonitorMode*) _tmp6_;
#line 64 "../src/Objects/Monitor.vala"
			_tmp7_ = mode;
#line 64 "../src/Objects/Monitor.vala"
			_tmp8_ = display_monitor_mode_get_supported_scales (_tmp7_, &_tmp8__length1);
#line 64 "../src/Objects/Monitor.vala"
			_tmp9_ = _tmp8_;
#line 64 "../src/Objects/Monitor.vala"
			_tmp9__length1 = _tmp8__length1;
#line 225 "Monitor.c"
			{
				gdouble* scale_collection = NULL;
				gint scale_collection_length1 = 0;
				gint _scale_collection_size_ = 0;
				gint scale_it = 0;
#line 64 "../src/Objects/Monitor.vala"
				scale_collection = _tmp9_;
#line 64 "../src/Objects/Monitor.vala"
				scale_collection_length1 = _tmp9__length1;
#line 64 "../src/Objects/Monitor.vala"
				for (scale_it = 0; scale_it < _tmp9__length1; scale_it = scale_it + 1) {
#line 237 "Monitor.c"
					gdouble scale = 0.0;
#line 64 "../src/Objects/Monitor.vala"
					scale = scale_collection[scale_it];
#line 241 "Monitor.c"
					{
#line 65 "../src/Objects/Monitor.vala"
						max_scale = MAX (max_scale, scale);
#line 245 "Monitor.c"
					}
				}
			}
#line 63 "../src/Objects/Monitor.vala"
			_g_object_unref0 (mode);
#line 251 "Monitor.c"
		}
#line 63 "../src/Objects/Monitor.vala"
		_g_object_unref0 (_mode_list);
#line 255 "Monitor.c"
	}
#line 69 "../src/Objects/Monitor.vala"
	result = max_scale;
#line 69 "../src/Objects/Monitor.vala"
	return result;
#line 261 "Monitor.c"
}

DisplayMonitorMode*
display_monitor_get_mode_by_id (DisplayMonitor* self,
                                const gchar* id)
{
	DisplayMonitorMode* result = NULL;
#line 76 "../src/Objects/Monitor.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 76 "../src/Objects/Monitor.vala"
	g_return_val_if_fail (id != NULL, NULL);
#line 273 "Monitor.c"
	{
		GeeLinkedList* _mode_list = NULL;
		GeeLinkedList* _tmp0_;
		GeeLinkedList* _tmp1_;
		gint _mode_size = 0;
		GeeLinkedList* _tmp2_;
		gint _tmp3_;
		gint _tmp4_;
		gint _mode_index = 0;
#line 77 "../src/Objects/Monitor.vala"
		_tmp0_ = self->priv->_modes;
#line 77 "../src/Objects/Monitor.vala"
		_tmp1_ = _g_object_ref0 (_tmp0_);
#line 77 "../src/Objects/Monitor.vala"
		_mode_list = _tmp1_;
#line 77 "../src/Objects/Monitor.vala"
		_tmp2_ = _mode_list;
#line 77 "../src/Objects/Monitor.vala"
		_tmp3_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp2_);
#line 77 "../src/Objects/Monitor.vala"
		_tmp4_ = _tmp3_;
#line 77 "../src/Objects/Monitor.vala"
		_mode_size = _tmp4_;
#line 77 "../src/Objects/Monitor.vala"
		_mode_index = -1;
#line 77 "../src/Objects/Monitor.vala"
		while (TRUE) {
#line 301 "Monitor.c"
			DisplayMonitorMode* mode = NULL;
			GeeLinkedList* _tmp5_;
			gpointer _tmp6_;
			DisplayMonitorMode* _tmp7_;
			const gchar* _tmp8_;
			const gchar* _tmp9_;
#line 77 "../src/Objects/Monitor.vala"
			_mode_index = _mode_index + 1;
#line 77 "../src/Objects/Monitor.vala"
			if (!(_mode_index < _mode_size)) {
#line 77 "../src/Objects/Monitor.vala"
				break;
#line 314 "Monitor.c"
			}
#line 77 "../src/Objects/Monitor.vala"
			_tmp5_ = _mode_list;
#line 77 "../src/Objects/Monitor.vala"
			_tmp6_ = gee_abstract_list_get ((GeeAbstractList*) _tmp5_, _mode_index);
#line 77 "../src/Objects/Monitor.vala"
			mode = (DisplayMonitorMode*) _tmp6_;
#line 78 "../src/Objects/Monitor.vala"
			_tmp7_ = mode;
#line 78 "../src/Objects/Monitor.vala"
			_tmp8_ = display_monitor_mode_get_id (_tmp7_);
#line 78 "../src/Objects/Monitor.vala"
			_tmp9_ = _tmp8_;
#line 78 "../src/Objects/Monitor.vala"
			if (g_strcmp0 (_tmp9_, id) == 0) {
#line 79 "../src/Objects/Monitor.vala"
				result = mode;
#line 79 "../src/Objects/Monitor.vala"
				_g_object_unref0 (_mode_list);
#line 79 "../src/Objects/Monitor.vala"
				return result;
#line 336 "Monitor.c"
			}
#line 77 "../src/Objects/Monitor.vala"
			_g_object_unref0 (mode);
#line 340 "Monitor.c"
		}
#line 77 "../src/Objects/Monitor.vala"
		_g_object_unref0 (_mode_list);
#line 344 "Monitor.c"
	}
#line 83 "../src/Objects/Monitor.vala"
	result = NULL;
#line 83 "../src/Objects/Monitor.vala"
	return result;
#line 350 "Monitor.c"
}

DisplayMonitor*
display_monitor_construct (GType object_type)
{
	DisplayMonitor * self = NULL;
#line 22 "../src/Objects/Monitor.vala"
	self = (DisplayMonitor*) g_object_new (object_type, NULL);
#line 22 "../src/Objects/Monitor.vala"
	return self;
#line 361 "Monitor.c"
}

DisplayMonitor*
display_monitor_new (void)
{
#line 22 "../src/Objects/Monitor.vala"
	return display_monitor_construct (DISPLAY_TYPE_MONITOR);
#line 369 "Monitor.c"
}

const gchar*
display_monitor_get_connector (DisplayMonitor* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 23 "../src/Objects/Monitor.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 23 "../src/Objects/Monitor.vala"
	_tmp0_ = self->priv->_connector;
#line 23 "../src/Objects/Monitor.vala"
	result = _tmp0_;
#line 23 "../src/Objects/Monitor.vala"
	return result;
#line 385 "Monitor.c"
}

void
display_monitor_set_connector (DisplayMonitor* self,
                               const gchar* value)
{
#line 23 "../src/Objects/Monitor.vala"
	g_return_if_fail (self != NULL);
#line 23 "../src/Objects/Monitor.vala"
	if (g_strcmp0 (value, display_monitor_get_connector (self)) != 0) {
#line 396 "Monitor.c"
		gchar* _tmp0_;
#line 23 "../src/Objects/Monitor.vala"
		_tmp0_ = g_strdup (value);
#line 23 "../src/Objects/Monitor.vala"
		_g_free0 (self->priv->_connector);
#line 23 "../src/Objects/Monitor.vala"
		self->priv->_connector = _tmp0_;
#line 23 "../src/Objects/Monitor.vala"
		g_object_notify_by_pspec ((GObject *) self, display_monitor_properties[DISPLAY_MONITOR_CONNECTOR_PROPERTY]);
#line 406 "Monitor.c"
	}
}

const gchar*
display_monitor_get_vendor (DisplayMonitor* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 24 "../src/Objects/Monitor.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 24 "../src/Objects/Monitor.vala"
	_tmp0_ = self->priv->_vendor;
#line 24 "../src/Objects/Monitor.vala"
	result = _tmp0_;
#line 24 "../src/Objects/Monitor.vala"
	return result;
#line 423 "Monitor.c"
}

void
display_monitor_set_vendor (DisplayMonitor* self,
                            const gchar* value)
{
#line 24 "../src/Objects/Monitor.vala"
	g_return_if_fail (self != NULL);
#line 24 "../src/Objects/Monitor.vala"
	if (g_strcmp0 (value, display_monitor_get_vendor (self)) != 0) {
#line 434 "Monitor.c"
		gchar* _tmp0_;
#line 24 "../src/Objects/Monitor.vala"
		_tmp0_ = g_strdup (value);
#line 24 "../src/Objects/Monitor.vala"
		_g_free0 (self->priv->_vendor);
#line 24 "../src/Objects/Monitor.vala"
		self->priv->_vendor = _tmp0_;
#line 24 "../src/Objects/Monitor.vala"
		g_object_notify_by_pspec ((GObject *) self, display_monitor_properties[DISPLAY_MONITOR_VENDOR_PROPERTY]);
#line 444 "Monitor.c"
	}
}

const gchar*
display_monitor_get_product (DisplayMonitor* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 25 "../src/Objects/Monitor.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 25 "../src/Objects/Monitor.vala"
	_tmp0_ = self->priv->_product;
#line 25 "../src/Objects/Monitor.vala"
	result = _tmp0_;
#line 25 "../src/Objects/Monitor.vala"
	return result;
#line 461 "Monitor.c"
}

void
display_monitor_set_product (DisplayMonitor* self,
                             const gchar* value)
{
#line 25 "../src/Objects/Monitor.vala"
	g_return_if_fail (self != NULL);
#line 25 "../src/Objects/Monitor.vala"
	if (g_strcmp0 (value, display_monitor_get_product (self)) != 0) {
#line 472 "Monitor.c"
		gchar* _tmp0_;
#line 25 "../src/Objects/Monitor.vala"
		_tmp0_ = g_strdup (value);
#line 25 "../src/Objects/Monitor.vala"
		_g_free0 (self->priv->_product);
#line 25 "../src/Objects/Monitor.vala"
		self->priv->_product = _tmp0_;
#line 25 "../src/Objects/Monitor.vala"
		g_object_notify_by_pspec ((GObject *) self, display_monitor_properties[DISPLAY_MONITOR_PRODUCT_PROPERTY]);
#line 482 "Monitor.c"
	}
}

const gchar*
display_monitor_get_serial (DisplayMonitor* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 26 "../src/Objects/Monitor.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 26 "../src/Objects/Monitor.vala"
	_tmp0_ = self->priv->_serial;
#line 26 "../src/Objects/Monitor.vala"
	result = _tmp0_;
#line 26 "../src/Objects/Monitor.vala"
	return result;
#line 499 "Monitor.c"
}

void
display_monitor_set_serial (DisplayMonitor* self,
                            const gchar* value)
{
#line 26 "../src/Objects/Monitor.vala"
	g_return_if_fail (self != NULL);
#line 26 "../src/Objects/Monitor.vala"
	if (g_strcmp0 (value, display_monitor_get_serial (self)) != 0) {
#line 510 "Monitor.c"
		gchar* _tmp0_;
#line 26 "../src/Objects/Monitor.vala"
		_tmp0_ = g_strdup (value);
#line 26 "../src/Objects/Monitor.vala"
		_g_free0 (self->priv->_serial);
#line 26 "../src/Objects/Monitor.vala"
		self->priv->_serial = _tmp0_;
#line 26 "../src/Objects/Monitor.vala"
		g_object_notify_by_pspec ((GObject *) self, display_monitor_properties[DISPLAY_MONITOR_SERIAL_PROPERTY]);
#line 520 "Monitor.c"
	}
}

guint
display_monitor_get_hash (DisplayMonitor* self)
{
	guint result;
	const gchar* _tmp0_;
	const gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	const gchar* _tmp4_;
	gchar* _tmp5_;
	gchar* _tmp6_;
	const gchar* _tmp7_;
	gchar* _tmp8_;
	gchar* _tmp9_;
	guint _tmp10_;
#line 28 "../src/Objects/Monitor.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 29 "../src/Objects/Monitor.vala"
	_tmp0_ = self->priv->_connector;
#line 29 "../src/Objects/Monitor.vala"
	_tmp1_ = self->priv->_vendor;
#line 29 "../src/Objects/Monitor.vala"
	_tmp2_ = g_strconcat (_tmp0_, _tmp1_, NULL);
#line 29 "../src/Objects/Monitor.vala"
	_tmp3_ = _tmp2_;
#line 29 "../src/Objects/Monitor.vala"
	_tmp4_ = self->priv->_product;
#line 29 "../src/Objects/Monitor.vala"
	_tmp5_ = g_strconcat (_tmp3_, _tmp4_, NULL);
#line 29 "../src/Objects/Monitor.vala"
	_tmp6_ = _tmp5_;
#line 29 "../src/Objects/Monitor.vala"
	_tmp7_ = self->priv->_serial;
#line 29 "../src/Objects/Monitor.vala"
	_tmp8_ = g_strconcat (_tmp6_, _tmp7_, NULL);
#line 29 "../src/Objects/Monitor.vala"
	_tmp9_ = _tmp8_;
#line 29 "../src/Objects/Monitor.vala"
	_tmp10_ = g_str_hash (_tmp9_);
#line 29 "../src/Objects/Monitor.vala"
	_g_free0 (_tmp9_);
#line 29 "../src/Objects/Monitor.vala"
	_g_free0 (_tmp6_);
#line 29 "../src/Objects/Monitor.vala"
	_g_free0 (_tmp3_);
#line 29 "../src/Objects/Monitor.vala"
	result = _tmp10_;
#line 29 "../src/Objects/Monitor.vala"
	return result;
#line 573 "Monitor.c"
}

const gchar*
display_monitor_get_display_name (DisplayMonitor* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 33 "../src/Objects/Monitor.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 33 "../src/Objects/Monitor.vala"
	_tmp0_ = self->priv->_display_name;
#line 33 "../src/Objects/Monitor.vala"
	result = _tmp0_;
#line 33 "../src/Objects/Monitor.vala"
	return result;
#line 589 "Monitor.c"
}

void
display_monitor_set_display_name (DisplayMonitor* self,
                                  const gchar* value)
{
#line 33 "../src/Objects/Monitor.vala"
	g_return_if_fail (self != NULL);
#line 33 "../src/Objects/Monitor.vala"
	if (g_strcmp0 (value, display_monitor_get_display_name (self)) != 0) {
#line 600 "Monitor.c"
		gchar* _tmp0_;
#line 33 "../src/Objects/Monitor.vala"
		_tmp0_ = g_strdup (value);
#line 33 "../src/Objects/Monitor.vala"
		_g_free0 (self->priv->_display_name);
#line 33 "../src/Objects/Monitor.vala"
		self->priv->_display_name = _tmp0_;
#line 33 "../src/Objects/Monitor.vala"
		g_object_notify_by_pspec ((GObject *) self, display_monitor_properties[DISPLAY_MONITOR_DISPLAY_NAME_PROPERTY]);
#line 610 "Monitor.c"
	}
}

gboolean
display_monitor_get_is_builtin (DisplayMonitor* self)
{
	gboolean result;
#line 34 "../src/Objects/Monitor.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 34 "../src/Objects/Monitor.vala"
	result = self->priv->_is_builtin;
#line 34 "../src/Objects/Monitor.vala"
	return result;
#line 624 "Monitor.c"
}

void
display_monitor_set_is_builtin (DisplayMonitor* self,
                                gboolean value)
{
#line 34 "../src/Objects/Monitor.vala"
	g_return_if_fail (self != NULL);
#line 34 "../src/Objects/Monitor.vala"
	if (display_monitor_get_is_builtin (self) != value) {
#line 34 "../src/Objects/Monitor.vala"
		self->priv->_is_builtin = value;
#line 34 "../src/Objects/Monitor.vala"
		g_object_notify_by_pspec ((GObject *) self, display_monitor_properties[DISPLAY_MONITOR_IS_BUILTIN_PROPERTY]);
#line 639 "Monitor.c"
	}
}

GeeLinkedList*
display_monitor_get_modes (DisplayMonitor* self)
{
	GeeLinkedList* result;
	GeeLinkedList* _tmp0_;
#line 35 "../src/Objects/Monitor.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 35 "../src/Objects/Monitor.vala"
	_tmp0_ = self->priv->_modes;
#line 35 "../src/Objects/Monitor.vala"
	result = _tmp0_;
#line 35 "../src/Objects/Monitor.vala"
	return result;
#line 656 "Monitor.c"
}

static void
display_monitor_set_modes (DisplayMonitor* self,
                           GeeLinkedList* value)
{
#line 35 "../src/Objects/Monitor.vala"
	g_return_if_fail (self != NULL);
#line 35 "../src/Objects/Monitor.vala"
	if (display_monitor_get_modes (self) != value) {
#line 667 "Monitor.c"
		GeeLinkedList* _tmp0_;
#line 35 "../src/Objects/Monitor.vala"
		_tmp0_ = _g_object_ref0 (value);
#line 35 "../src/Objects/Monitor.vala"
		_g_object_unref0 (self->priv->_modes);
#line 35 "../src/Objects/Monitor.vala"
		self->priv->_modes = _tmp0_;
#line 35 "../src/Objects/Monitor.vala"
		g_object_notify_by_pspec ((GObject *) self, display_monitor_properties[DISPLAY_MONITOR_MODES_PROPERTY]);
#line 677 "Monitor.c"
	}
}

DisplayMonitorMode*
display_monitor_get_current_mode (DisplayMonitor* self)
{
	DisplayMonitorMode* result;
	GeeLinkedList* _tmp10_;
	gpointer _tmp11_;
#line 38 "../src/Objects/Monitor.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 689 "Monitor.c"
	{
		GeeLinkedList* _mode_list = NULL;
		GeeLinkedList* _tmp0_;
		GeeLinkedList* _tmp1_;
		gint _mode_size = 0;
		GeeLinkedList* _tmp2_;
		gint _tmp3_;
		gint _tmp4_;
		gint _mode_index = 0;
#line 39 "../src/Objects/Monitor.vala"
		_tmp0_ = self->priv->_modes;
#line 39 "../src/Objects/Monitor.vala"
		_tmp1_ = _g_object_ref0 (_tmp0_);
#line 39 "../src/Objects/Monitor.vala"
		_mode_list = _tmp1_;
#line 39 "../src/Objects/Monitor.vala"
		_tmp2_ = _mode_list;
#line 39 "../src/Objects/Monitor.vala"
		_tmp3_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp2_);
#line 39 "../src/Objects/Monitor.vala"
		_tmp4_ = _tmp3_;
#line 39 "../src/Objects/Monitor.vala"
		_mode_size = _tmp4_;
#line 39 "../src/Objects/Monitor.vala"
		_mode_index = -1;
#line 39 "../src/Objects/Monitor.vala"
		while (TRUE) {
#line 717 "Monitor.c"
			DisplayMonitorMode* mode = NULL;
			GeeLinkedList* _tmp5_;
			gpointer _tmp6_;
			DisplayMonitorMode* _tmp7_;
			gboolean _tmp8_;
			gboolean _tmp9_;
#line 39 "../src/Objects/Monitor.vala"
			_mode_index = _mode_index + 1;
#line 39 "../src/Objects/Monitor.vala"
			if (!(_mode_index < _mode_size)) {
#line 39 "../src/Objects/Monitor.vala"
				break;
#line 730 "Monitor.c"
			}
#line 39 "../src/Objects/Monitor.vala"
			_tmp5_ = _mode_list;
#line 39 "../src/Objects/Monitor.vala"
			_tmp6_ = gee_abstract_list_get ((GeeAbstractList*) _tmp5_, _mode_index);
#line 39 "../src/Objects/Monitor.vala"
			mode = (DisplayMonitorMode*) _tmp6_;
#line 40 "../src/Objects/Monitor.vala"
			_tmp7_ = mode;
#line 40 "../src/Objects/Monitor.vala"
			_tmp8_ = display_monitor_mode_get_is_current (_tmp7_);
#line 40 "../src/Objects/Monitor.vala"
			_tmp9_ = _tmp8_;
#line 40 "../src/Objects/Monitor.vala"
			if (_tmp9_) {
#line 41 "../src/Objects/Monitor.vala"
				result = mode;
#line 41 "../src/Objects/Monitor.vala"
				_g_object_unref0 (_mode_list);
#line 41 "../src/Objects/Monitor.vala"
				return result;
#line 752 "Monitor.c"
			}
#line 39 "../src/Objects/Monitor.vala"
			_g_object_unref0 (mode);
#line 756 "Monitor.c"
		}
#line 39 "../src/Objects/Monitor.vala"
		_g_object_unref0 (_mode_list);
#line 760 "Monitor.c"
	}
#line 45 "../src/Objects/Monitor.vala"
	_tmp10_ = self->priv->_modes;
#line 45 "../src/Objects/Monitor.vala"
	_tmp11_ = gee_abstract_list_get ((GeeAbstractList*) _tmp10_, 0);
#line 45 "../src/Objects/Monitor.vala"
	result = (DisplayMonitorMode*) _tmp11_;
#line 45 "../src/Objects/Monitor.vala"
	return result;
#line 770 "Monitor.c"
}

DisplayMonitorMode*
display_monitor_get_preferred_mode (DisplayMonitor* self)
{
	DisplayMonitorMode* result;
	GeeLinkedList* _tmp10_;
	gpointer _tmp11_;
#line 50 "../src/Objects/Monitor.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 781 "Monitor.c"
	{
		GeeLinkedList* _mode_list = NULL;
		GeeLinkedList* _tmp0_;
		GeeLinkedList* _tmp1_;
		gint _mode_size = 0;
		GeeLinkedList* _tmp2_;
		gint _tmp3_;
		gint _tmp4_;
		gint _mode_index = 0;
#line 51 "../src/Objects/Monitor.vala"
		_tmp0_ = self->priv->_modes;
#line 51 "../src/Objects/Monitor.vala"
		_tmp1_ = _g_object_ref0 (_tmp0_);
#line 51 "../src/Objects/Monitor.vala"
		_mode_list = _tmp1_;
#line 51 "../src/Objects/Monitor.vala"
		_tmp2_ = _mode_list;
#line 51 "../src/Objects/Monitor.vala"
		_tmp3_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp2_);
#line 51 "../src/Objects/Monitor.vala"
		_tmp4_ = _tmp3_;
#line 51 "../src/Objects/Monitor.vala"
		_mode_size = _tmp4_;
#line 51 "../src/Objects/Monitor.vala"
		_mode_index = -1;
#line 51 "../src/Objects/Monitor.vala"
		while (TRUE) {
#line 809 "Monitor.c"
			DisplayMonitorMode* mode = NULL;
			GeeLinkedList* _tmp5_;
			gpointer _tmp6_;
			DisplayMonitorMode* _tmp7_;
			gboolean _tmp8_;
			gboolean _tmp9_;
#line 51 "../src/Objects/Monitor.vala"
			_mode_index = _mode_index + 1;
#line 51 "../src/Objects/Monitor.vala"
			if (!(_mode_index < _mode_size)) {
#line 51 "../src/Objects/Monitor.vala"
				break;
#line 822 "Monitor.c"
			}
#line 51 "../src/Objects/Monitor.vala"
			_tmp5_ = _mode_list;
#line 51 "../src/Objects/Monitor.vala"
			_tmp6_ = gee_abstract_list_get ((GeeAbstractList*) _tmp5_, _mode_index);
#line 51 "../src/Objects/Monitor.vala"
			mode = (DisplayMonitorMode*) _tmp6_;
#line 52 "../src/Objects/Monitor.vala"
			_tmp7_ = mode;
#line 52 "../src/Objects/Monitor.vala"
			_tmp8_ = display_monitor_mode_get_is_preferred (_tmp7_);
#line 52 "../src/Objects/Monitor.vala"
			_tmp9_ = _tmp8_;
#line 52 "../src/Objects/Monitor.vala"
			if (_tmp9_) {
#line 53 "../src/Objects/Monitor.vala"
				result = mode;
#line 53 "../src/Objects/Monitor.vala"
				_g_object_unref0 (_mode_list);
#line 53 "../src/Objects/Monitor.vala"
				return result;
#line 844 "Monitor.c"
			}
#line 51 "../src/Objects/Monitor.vala"
			_g_object_unref0 (mode);
#line 848 "Monitor.c"
		}
#line 51 "../src/Objects/Monitor.vala"
		_g_object_unref0 (_mode_list);
#line 852 "Monitor.c"
	}
#line 57 "../src/Objects/Monitor.vala"
	_tmp10_ = self->priv->_modes;
#line 57 "../src/Objects/Monitor.vala"
	_tmp11_ = gee_abstract_list_get ((GeeAbstractList*) _tmp10_, 0);
#line 57 "../src/Objects/Monitor.vala"
	result = (DisplayMonitorMode*) _tmp11_;
#line 57 "../src/Objects/Monitor.vala"
	return result;
#line 862 "Monitor.c"
}

static GObject *
display_monitor_constructor (GType type,
                             guint n_construct_properties,
                             GObjectConstructParam * construct_properties)
{
	GObject * obj;
	GObjectClass * parent_class;
	DisplayMonitor * self;
	GeeLinkedList* _tmp0_;
	GeeLinkedList* _tmp1_;
#line 72 "../src/Objects/Monitor.vala"
	parent_class = G_OBJECT_CLASS (display_monitor_parent_class);
#line 72 "../src/Objects/Monitor.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 72 "../src/Objects/Monitor.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, DISPLAY_TYPE_MONITOR, DisplayMonitor);
#line 73 "../src/Objects/Monitor.vala"
	_tmp0_ = gee_linked_list_new (DISPLAY_TYPE_MONITOR_MODE, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 73 "../src/Objects/Monitor.vala"
	_tmp1_ = _tmp0_;
#line 73 "../src/Objects/Monitor.vala"
	display_monitor_set_modes (self, _tmp1_);
#line 73 "../src/Objects/Monitor.vala"
	_g_object_unref0 (_tmp1_);
#line 72 "../src/Objects/Monitor.vala"
	return obj;
#line 891 "Monitor.c"
}

static void
display_monitor_class_init (DisplayMonitorClass * klass,
                            gpointer klass_data)
{
#line 22 "../src/Objects/Monitor.vala"
	display_monitor_parent_class = g_type_class_peek_parent (klass);
#line 22 "../src/Objects/Monitor.vala"
	g_type_class_adjust_private_offset (klass, &DisplayMonitor_private_offset);
#line 22 "../src/Objects/Monitor.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_display_monitor_get_property;
#line 22 "../src/Objects/Monitor.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_display_monitor_set_property;
#line 22 "../src/Objects/Monitor.vala"
	G_OBJECT_CLASS (klass)->constructor = display_monitor_constructor;
#line 22 "../src/Objects/Monitor.vala"
	G_OBJECT_CLASS (klass)->finalize = display_monitor_finalize;
#line 22 "../src/Objects/Monitor.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DISPLAY_MONITOR_CONNECTOR_PROPERTY, display_monitor_properties[DISPLAY_MONITOR_CONNECTOR_PROPERTY] = g_param_spec_string ("connector", "connector", "connector", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 22 "../src/Objects/Monitor.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DISPLAY_MONITOR_VENDOR_PROPERTY, display_monitor_properties[DISPLAY_MONITOR_VENDOR_PROPERTY] = g_param_spec_string ("vendor", "vendor", "vendor", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 22 "../src/Objects/Monitor.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DISPLAY_MONITOR_PRODUCT_PROPERTY, display_monitor_properties[DISPLAY_MONITOR_PRODUCT_PROPERTY] = g_param_spec_string ("product", "product", "product", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 22 "../src/Objects/Monitor.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DISPLAY_MONITOR_SERIAL_PROPERTY, display_monitor_properties[DISPLAY_MONITOR_SERIAL_PROPERTY] = g_param_spec_string ("serial", "serial", "serial", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 22 "../src/Objects/Monitor.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DISPLAY_MONITOR_HASH_PROPERTY, display_monitor_properties[DISPLAY_MONITOR_HASH_PROPERTY] = g_param_spec_uint ("hash", "hash", "hash", 0, G_MAXUINT, 0U, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 22 "../src/Objects/Monitor.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DISPLAY_MONITOR_DISPLAY_NAME_PROPERTY, display_monitor_properties[DISPLAY_MONITOR_DISPLAY_NAME_PROPERTY] = g_param_spec_string ("display-name", "display-name", "display-name", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 22 "../src/Objects/Monitor.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DISPLAY_MONITOR_IS_BUILTIN_PROPERTY, display_monitor_properties[DISPLAY_MONITOR_IS_BUILTIN_PROPERTY] = g_param_spec_boolean ("is-builtin", "is-builtin", "is-builtin", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 22 "../src/Objects/Monitor.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DISPLAY_MONITOR_MODES_PROPERTY, display_monitor_properties[DISPLAY_MONITOR_MODES_PROPERTY] = g_param_spec_object ("modes", "modes", "modes", GEE_TYPE_LINKED_LIST, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 22 "../src/Objects/Monitor.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DISPLAY_MONITOR_CURRENT_MODE_PROPERTY, display_monitor_properties[DISPLAY_MONITOR_CURRENT_MODE_PROPERTY] = g_param_spec_object ("current-mode", "current-mode", "current-mode", DISPLAY_TYPE_MONITOR_MODE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 22 "../src/Objects/Monitor.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DISPLAY_MONITOR_PREFERRED_MODE_PROPERTY, display_monitor_properties[DISPLAY_MONITOR_PREFERRED_MODE_PROPERTY] = g_param_spec_object ("preferred-mode", "preferred-mode", "preferred-mode", DISPLAY_TYPE_MONITOR_MODE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 930 "Monitor.c"
}

static void
display_monitor_instance_init (DisplayMonitor * self,
                               gpointer klass)
{
#line 22 "../src/Objects/Monitor.vala"
	self->priv = display_monitor_get_instance_private (self);
#line 939 "Monitor.c"
}

static void
display_monitor_finalize (GObject * obj)
{
	DisplayMonitor * self;
#line 22 "../src/Objects/Monitor.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, DISPLAY_TYPE_MONITOR, DisplayMonitor);
#line 23 "../src/Objects/Monitor.vala"
	_g_free0 (self->priv->_connector);
#line 24 "../src/Objects/Monitor.vala"
	_g_free0 (self->priv->_vendor);
#line 25 "../src/Objects/Monitor.vala"
	_g_free0 (self->priv->_product);
#line 26 "../src/Objects/Monitor.vala"
	_g_free0 (self->priv->_serial);
#line 33 "../src/Objects/Monitor.vala"
	_g_free0 (self->priv->_display_name);
#line 35 "../src/Objects/Monitor.vala"
	_g_object_unref0 (self->priv->_modes);
#line 22 "../src/Objects/Monitor.vala"
	G_OBJECT_CLASS (display_monitor_parent_class)->finalize (obj);
#line 962 "Monitor.c"
}

GType
display_monitor_get_type (void)
{
	static volatile gsize display_monitor_type_id__volatile = 0;
	if (g_once_init_enter (&display_monitor_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (DisplayMonitorClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) display_monitor_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (DisplayMonitor), 0, (GInstanceInitFunc) display_monitor_instance_init, NULL };
		GType display_monitor_type_id;
		display_monitor_type_id = g_type_register_static (G_TYPE_OBJECT, "DisplayMonitor", &g_define_type_info, 0);
		DisplayMonitor_private_offset = g_type_add_instance_private (display_monitor_type_id, sizeof (DisplayMonitorPrivate));
		g_once_init_leave (&display_monitor_type_id__volatile, display_monitor_type_id);
	}
	return display_monitor_type_id__volatile;
}

static void
_vala_display_monitor_get_property (GObject * object,
                                    guint property_id,
                                    GValue * value,
                                    GParamSpec * pspec)
{
	DisplayMonitor * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, DISPLAY_TYPE_MONITOR, DisplayMonitor);
#line 22 "../src/Objects/Monitor.vala"
	switch (property_id) {
#line 22 "../src/Objects/Monitor.vala"
		case DISPLAY_MONITOR_CONNECTOR_PROPERTY:
#line 22 "../src/Objects/Monitor.vala"
		g_value_set_string (value, display_monitor_get_connector (self));
#line 22 "../src/Objects/Monitor.vala"
		break;
#line 22 "../src/Objects/Monitor.vala"
		case DISPLAY_MONITOR_VENDOR_PROPERTY:
#line 22 "../src/Objects/Monitor.vala"
		g_value_set_string (value, display_monitor_get_vendor (self));
#line 22 "../src/Objects/Monitor.vala"
		break;
#line 22 "../src/Objects/Monitor.vala"
		case DISPLAY_MONITOR_PRODUCT_PROPERTY:
#line 22 "../src/Objects/Monitor.vala"
		g_value_set_string (value, display_monitor_get_product (self));
#line 22 "../src/Objects/Monitor.vala"
		break;
#line 22 "../src/Objects/Monitor.vala"
		case DISPLAY_MONITOR_SERIAL_PROPERTY:
#line 22 "../src/Objects/Monitor.vala"
		g_value_set_string (value, display_monitor_get_serial (self));
#line 22 "../src/Objects/Monitor.vala"
		break;
#line 22 "../src/Objects/Monitor.vala"
		case DISPLAY_MONITOR_HASH_PROPERTY:
#line 22 "../src/Objects/Monitor.vala"
		g_value_set_uint (value, display_monitor_get_hash (self));
#line 22 "../src/Objects/Monitor.vala"
		break;
#line 22 "../src/Objects/Monitor.vala"
		case DISPLAY_MONITOR_DISPLAY_NAME_PROPERTY:
#line 22 "../src/Objects/Monitor.vala"
		g_value_set_string (value, display_monitor_get_display_name (self));
#line 22 "../src/Objects/Monitor.vala"
		break;
#line 22 "../src/Objects/Monitor.vala"
		case DISPLAY_MONITOR_IS_BUILTIN_PROPERTY:
#line 22 "../src/Objects/Monitor.vala"
		g_value_set_boolean (value, display_monitor_get_is_builtin (self));
#line 22 "../src/Objects/Monitor.vala"
		break;
#line 22 "../src/Objects/Monitor.vala"
		case DISPLAY_MONITOR_MODES_PROPERTY:
#line 22 "../src/Objects/Monitor.vala"
		g_value_set_object (value, display_monitor_get_modes (self));
#line 22 "../src/Objects/Monitor.vala"
		break;
#line 22 "../src/Objects/Monitor.vala"
		case DISPLAY_MONITOR_CURRENT_MODE_PROPERTY:
#line 22 "../src/Objects/Monitor.vala"
		g_value_take_object (value, display_monitor_get_current_mode (self));
#line 22 "../src/Objects/Monitor.vala"
		break;
#line 22 "../src/Objects/Monitor.vala"
		case DISPLAY_MONITOR_PREFERRED_MODE_PROPERTY:
#line 22 "../src/Objects/Monitor.vala"
		g_value_take_object (value, display_monitor_get_preferred_mode (self));
#line 22 "../src/Objects/Monitor.vala"
		break;
#line 1049 "Monitor.c"
		default:
#line 22 "../src/Objects/Monitor.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 22 "../src/Objects/Monitor.vala"
		break;
#line 1055 "Monitor.c"
	}
}

static void
_vala_display_monitor_set_property (GObject * object,
                                    guint property_id,
                                    const GValue * value,
                                    GParamSpec * pspec)
{
	DisplayMonitor * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, DISPLAY_TYPE_MONITOR, DisplayMonitor);
#line 22 "../src/Objects/Monitor.vala"
	switch (property_id) {
#line 22 "../src/Objects/Monitor.vala"
		case DISPLAY_MONITOR_CONNECTOR_PROPERTY:
#line 22 "../src/Objects/Monitor.vala"
		display_monitor_set_connector (self, g_value_get_string (value));
#line 22 "../src/Objects/Monitor.vala"
		break;
#line 22 "../src/Objects/Monitor.vala"
		case DISPLAY_MONITOR_VENDOR_PROPERTY:
#line 22 "../src/Objects/Monitor.vala"
		display_monitor_set_vendor (self, g_value_get_string (value));
#line 22 "../src/Objects/Monitor.vala"
		break;
#line 22 "../src/Objects/Monitor.vala"
		case DISPLAY_MONITOR_PRODUCT_PROPERTY:
#line 22 "../src/Objects/Monitor.vala"
		display_monitor_set_product (self, g_value_get_string (value));
#line 22 "../src/Objects/Monitor.vala"
		break;
#line 22 "../src/Objects/Monitor.vala"
		case DISPLAY_MONITOR_SERIAL_PROPERTY:
#line 22 "../src/Objects/Monitor.vala"
		display_monitor_set_serial (self, g_value_get_string (value));
#line 22 "../src/Objects/Monitor.vala"
		break;
#line 22 "../src/Objects/Monitor.vala"
		case DISPLAY_MONITOR_DISPLAY_NAME_PROPERTY:
#line 22 "../src/Objects/Monitor.vala"
		display_monitor_set_display_name (self, g_value_get_string (value));
#line 22 "../src/Objects/Monitor.vala"
		break;
#line 22 "../src/Objects/Monitor.vala"
		case DISPLAY_MONITOR_IS_BUILTIN_PROPERTY:
#line 22 "../src/Objects/Monitor.vala"
		display_monitor_set_is_builtin (self, g_value_get_boolean (value));
#line 22 "../src/Objects/Monitor.vala"
		break;
#line 22 "../src/Objects/Monitor.vala"
		case DISPLAY_MONITOR_MODES_PROPERTY:
#line 22 "../src/Objects/Monitor.vala"
		display_monitor_set_modes (self, g_value_get_object (value));
#line 22 "../src/Objects/Monitor.vala"
		break;
#line 1111 "Monitor.c"
		default:
#line 22 "../src/Objects/Monitor.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 22 "../src/Objects/Monitor.vala"
		break;
#line 1117 "Monitor.c"
	}
}

